Function
addEdges
Shortcut to add multiple edges at once. Creates vertices implicitly.
addEdge(g, edges, size)
Include Headers
seqan/graph_types.h
Parameters

g | A graph. Types: Graph
edges | An array of vertex descriptors. It is assumed that the edges are stored in the following way: Source1, Target1, Source2, Target2, Source3, ... For a tree the root must be the first vertex in this array and the enumeration is Parent, Child, Parent, Child, ... Types: VertexDescriptor
size | Size of the array. Must be a multiple of 2. Types: Size

Return Values
void
See Also
addEdge, removeEdge
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46